package org.jcon.df.edit.screen.std;

import org.jcon.df.edit.screen.ScreenCommandContext;
import org.jcon.util.PropMap;
import org.jcon.util.msg.Message;

/**
* This class is the standard implementation of a
* ScreenCommandContext. See it for documentation.
*
* @author Jack Harich
*/
public class ScreenCommandContextStd
                    implements ScreenCommandContext{

//---------- Private Fields ------------------------------
// Properties
private PropMap screenPropMap;
private Message eventMessage;

//---------- ScreenCommandContext Implementation  --------
public void setScreenPropMap(PropMap propMap) {
    screenPropMap = propMap;
}
public PropMap getScreenPropMap() {
    return screenPropMap;
}
public void setEventMessage(Message message) {
    eventMessage = message;
}
public Message getEventMessage() {
    return eventMessage;
}


} // End class
